@if (isToolDisplayed) {
  <div id="coordinates-tool-container">
    <dsfr-button
      label="Fermer"
      (buttonClicked)="toggleCoordinatesTool(false)"
      [type]="buttonTypes.CLOSE">
    </dsfr-button>
    <div class="coordinates-tool-header">
      <h6>Coordonnées</h6>
      <div class="fr-mb-3v">
        <div class="selected-coordinates-type">
          <dsfr-badge
            [label]="selectedCoordinatesType"
            [theme]="themeColor.PURPLE_GLYCINE">
          </dsfr-badge>
          <button
            (click)="displayOtherCoordinatesType = !displayOtherCoordinatesType">
          <span
            class="fr-icon-arrow-left-s-line"
            aria-hidden="true"></span>
          </button>
        </div>
        @if (displayOtherCoordinatesType) {
          <div
            class="other-coordinates-type"
            (click)="onSelectCoordinatesType()">
            <button>
              <dsfr-badge
                [label]="
              selectedCoordinatesType === possibleCoordinates.GPS
                ? possibleCoordinates.Lambert93
                : possibleCoordinates.GPS
            "
                [theme]="themeColor.PURPLE_GLYCINE">
              </dsfr-badge>
            </button>
          </div>
        }
      </div>
    </div>
    <form [formGroup]="coordinatesForm">
      <div class="label">
        @if (isTooltipDisplayed) {
          <div
            class="tooltip-copy-succeeded"
            [style]="tooltipStyle">
            Coordonnée{{ coordinatesFormArray.length > 1 ? "s" : "" }} copiée{{
              coordinatesFormArray.length > 1 ? "s" : ""
            }}
            !
          </div>
        }
        <div class="label-c1">
        <span [class.fr-ml-5w]="coordinatesFormArray.controls.length > 1">
          {{
            selectedCoordinatesType === possibleCoordinates.Lambert93
              ? "En X"
              : "Longitude"
          }}
        </span>
          <dsfr-button
            [type]="buttonTypes.TERTIARY"
            [size]="elementSizes.SMALL"
            [disabled]="!coordinatesForm.valid"
            icon="fr-icon-file-copy-line"
            title="Copie champs de saisie"
            (buttonClicked)="copyCoordinates($event, 'c1')">
          </dsfr-button>
        </div>
        <div class="label-c2">
        <span>
          {{
            selectedCoordinatesType === possibleCoordinates.Lambert93
              ? "En Y"
              : "Latitude"
          }}
        </span>
          <dsfr-button
            [type]="buttonTypes.TERTIARY"
            [size]="elementSizes.SMALL"
            [disabled]="!coordinatesForm.valid"
            icon="fr-icon-file-copy-line"
            title="Copie champs de saisie"
            (buttonClicked)="copyCoordinates($event, 'c2')">
          </dsfr-button>
        </div>
      </div>
      <div
        formArrayName="coordinates"
        class="form-input-container">
        @for (pointCoordinatesForm of coordinatesFormArray.controls;track
          pointCoordinatesForm.value) {
          <div
            class="form-input-row"
            [formGroupName]="$index">
            @if ($count > 1) {
              <div class="input-index">
                {{ $index + 1 }}
              </div>
            }
            <div class="form-input">
              <dsfr-input
                formControlName="c1"
                type="number"
                label=" "
                name="firstCoordinate"
                [id]="'firstCoordinate-' + $index">
              </dsfr-input>
            </div>
            <div class="form-input right">
              <dsfr-input
                formControlName="c2"
                type="number"
                label=" "
                name="secondCoordinate"
                [id]="'secondCoordinate-' + $index">
              </dsfr-input>
            </div>
            @if ($count > 1) {
              <div class="input-delete">
                <dsfr-button
                  [type]="buttonTypes.TERTIARY_NO_OUTLINE"
                  [size]="elementSizes.SMALL"
                  icon="fr-icon-close-line"
                  title="Supprimer les champs"
                  (buttonClicked)="deletePoint($index)">
                </dsfr-button>
              </div>
            }
          </div>
        }
      </div>
    </form>
    <dsfr-button
      class="add-point-button"
      [type]="buttonTypes.TERTIARY"
      icon="fr-icon-add-line"
      title="Ajouter un point en cliquant ici"
      label="Ajouter un point"
      [disabled]="!coordinatesForm.valid"
      (buttonClicked)="addPoint()">
    </dsfr-button>
  </div>
}
<dsfr-button
  class="coordinates-tool-button rounded-button mobile-only"
  [disabled]="disabled"
  (buttonClicked)="toggleCoordinatesTool(!isToolDisplayed)"
  [type]="buttonTypes.TERTIARY"
  icon="fr-icon-pushpin-line"
  title="Ouvre ou ferme un widget permettant de visualiser des coordonnées sur la carte"
  ariaControls="coordinates-tool-container">
</dsfr-button>
<dsfr-button
  class="coordinates-tool-button rounded-button desktop-only"
  (buttonClicked)="toggleCoordinatesTool(!isToolDisplayed)"
  [type]="buttonTypes.TERTIARY"
  [disabled]="disabled"
  icon="fr-icon-pushpin-line"
  label="Coordonnées"
  title="Ouvre ou ferme un widget permettant de visualiser des coordonnées sur la carte"
  ariaControls="coordinates-tool-container">
</dsfr-button>
